include mixins

html(lang="en")
  head
    +head
    script(src='https://apis.google.com/js/platform.js' async='' defer='')
    meta(name='google-signin-client_id' content='109119513405-00e6u4iajm247ub3cjv1sdf2cu4bpriv.apps.googleusercontent.com')


  body
    +navbar

    .py-5.text-center(style="background-image: url('https://i.pinimg.com/originals/49/4c/6b/494c6b914a7842e7c0e18cb68d41255e.png');background-size:cover;")
      .container
        .row
        .mx-auto.col-md-6.col-10.bg-white.p-5
          h1.mb-4 Iniciar Sesión
          form(method='POST', action='/api/login')
            .form-group
              img.d-inline-block.align-center(src='https://pluspng.com/img-png/user-png-icon-male-user-icon-512.png' width='auto' height='170' alt='' )
            .form-group.text-left
              label(for='exampleFormControlTextarea1') Email:
              input#form9.form-control(name='email' type='name' placeholder='Ingrese su Correo Electronico')
            .form-group.text-left
              label(for='exampleFormControlTextarea1') Contraseña:
              input#form10.form-control(name='password' type='password' placeholder='Ingrese su Contraseña')
              small.form-text.text-muted.text-right
              a(href='/api/newuser')  Crear nueva cuenta 

            button.btn.btn-primary(type='submit', value='Submit') Ingresar

            .g-signin2(data-onsuccess='onSignIn')
            a(href='#' onclick='signOut();') Sign out

            script.
              function onSignIn(googleUser) {
              var profile = googleUser.getBasicProfile();
              var id_token = googleUser.getAuthResponse().id_token;
              //console.warn("token:", id_token);
              var xhr = new XMLHttpRequest();
              xhr.open('POST', '/api/google');
              xhr.setRequestHeader(
              'Content-Type',
              'application/x-www-form-urlencoded'
              );
              xhr.onload = function() {
              console.log('Signed in as: ' + xhr.responseText);
              };
              xhr.send('idtoken=' + id_token);
              }
              
            script.
              function signOut() {
              var auth2 = gapi.auth2.getAuthInstance();
              auth2.signOut().then(function () {
              console.log('User signed out.');
              });
              }




            


    +footer

